# -*- encoding: utf-8 -*-
# stub: sensu-plugins-graphite-donotuse 0.0.7 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-graphite-donotuse".freeze
  s.version = "0.0.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "@mattyjones", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2015-11-13"
  s.description = "This plugin provides native Graphite instrumentation\n                              for monitoring, including: replication status,\n                              various Graphite data queries, mutators, and handlers".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-graphite-data.rb".freeze, "check-graphite-hosts.rb".freeze, "check-graphite-replication.rb".freeze, "check-graphite-stats.rb".freeze, "check-graphite.rb".freeze, "handler-graphite-event.rb".freeze, "handler-graphite-notify.rb".freeze, "handler-graphite-occurrences.rb".freeze, "mutator-graphite.rb".freeze]
  s.files = ["bin/check-graphite-data.rb".freeze, "bin/check-graphite-hosts.rb".freeze, "bin/check-graphite-replication.rb".freeze, "bin/check-graphite-stats.rb".freeze, "bin/check-graphite.rb".freeze, "bin/handler-graphite-event.rb".freeze, "bin/handler-graphite-notify.rb".freeze, "bin/handler-graphite-occurrences.rb".freeze, "bin/mutator-graphite.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-graphite".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Sensu plugins for graphite".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<array_stats>.freeze, ["= 0.6.0"])
    s.add_runtime_dependency(%q<ipaddress>.freeze, ["= 0.8.0"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["= 1.8.0"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["= 1.2.0"])
    s.add_runtime_dependency(%q<simple-graphite>.freeze, ["= 2.1.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.32.1"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<array_stats>.freeze, ["= 0.6.0"])
    s.add_dependency(%q<ipaddress>.freeze, ["= 0.8.0"])
    s.add_dependency(%q<rest-client>.freeze, ["= 1.8.0"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["= 1.2.0"])
    s.add_dependency(%q<simple-graphite>.freeze, ["= 2.1.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.32.1"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
  end
end
